Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.runtime.output
Class SAXXMLOutput

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.runtime.output.OutputBase
            |
            +--org.apache.xalan.xsltc.runtime.output.SAXOutput
                  |
                  +--org.apache.xalan.xsltc.runtime.output.SAXXMLOutput

public class SAXXMLOutput
extends org.apache.xalan.xsltc.runtime.output.SAXOutput

Constructor Summary
`SAXXMLOutput(ContentHandler handler, LexicalHandler lex, java.lang.String encoding)`
`SAXXMLOutput(ContentHandler handler, java.lang.String encoding)`

Method Summary
`void` | `attribute(java.lang.String name, java.lang.String value)` Put an attribute and its value in the start tag of an element.
`void` | `characters(char[] ch, int off, int len)`
`void` | `closeCDATA()`
`void` | `endDocument()`
`void` | `endElement(java.lang.String elementName)`
`void` | `namespace(java.lang.String prefix, java.lang.String uri)` Send a namespace declaration in the output document.
`void` | `processingInstruction(java.lang.String target, java.lang.String data)` Send a processing instruction to the output document
`void` | `startCDATA()`
`void` | `startElement(java.lang.String elementName)` Start an element in the output document.

Methods inherited from class org.apache.xalan.xsltc.runtime.output.SAXOutput
`characters, comment, startDocument`

Methods inherited from class org.apache.xalan.xsltc.runtime.output.OutputBase
`close, endCDATA, omitHeader, setCdataElements, setDoctype, setEscaping, setIndent, setMediaType, setStandalone, setType, setVersion`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXXMLOutput

    public SAXXMLOutput(ContentHandler handler,
                        java.lang.String encoding)
                 throws java.io.IOException

### SAXXMLOutput

    public SAXXMLOutput(ContentHandler handler,
                        LexicalHandler lex,
                        java.lang.String encoding)
                 throws java.io.IOException

Method Detail

### endDocument

    public void endDocument()
                     throws TransletException

### startElement

    public void startElement(java.lang.String elementName)
                      throws TransletException

  Start an element in the output document. This might be an XML element (data type) or a CDATA section.

### attribute

    public void attribute(java.lang.String name,
                          java.lang.String value)
                   throws TransletException

  Put an attribute and its value in the start tag of an element. Signal an exception if this is attempted done outside a start tag.

### characters

    public void characters(char[] ch,
                           int off,
                           int len)
                    throws TransletException

### endElement

    public void endElement(java.lang.String elementName)
                    throws TransletException

### namespace

    public void namespace(java.lang.String prefix,
                          java.lang.String uri)
                   throws TransletException

  Send a namespace declaration in the output document. The namespace declaration will not be include if the namespace is already in scope with the same prefix.
  Overrides:
    namespace in class OutputBase

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws TransletException

  Send a processing instruction to the output document
  Overrides:
    processingInstruction in class org.apache.xalan.xsltc.runtime.output.SAXOutput

### startCDATA

    public void startCDATA()
                    throws TransletException

  Overrides:
    startCDATA in class OutputBase

### closeCDATA

    public void closeCDATA()
                    throws TransletException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.